/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'ULPGC-icon\'">' + entity + '</span>' + html;
	}
	var icons = {
		'icon-issuu': '&#xe94d;',
		'icon-ivoox': '&#xe94e;',
		'icon-pinterest': '&#xe94f;',
		'icon-spotify': '&#xe950;',
		'icon-add-folder': '&#xe948;',
		'icon-bell': '&#xe949;',
		'icon-comment': '&#xe94a;',
		'icon-exit': '&#xe94b;',
		'icon-eye': '&#xe94c;',
		'icon-heart': '&#xe947;',
		'icon-papers': '&#xe946;',
		'icon-tools': '&#xe940;',
		'icon-research': '&#xe941;',
		'icon-moodle': '&#xe943;',
		'icon-hat': '&#xe944;',
		'icon-tick': '&#xe945;',
		'icon-teacher': '&#xe942;',
		'icon-computer': '&#xe93b;',
		'icon-exterior': '&#xe93c;',
		'icon-fax': '&#xe93d;',
		'icon-list': '&#xe93e;',
		'icon-reload': '&#xe93f;',
		'icon-add-file': '&#xe900;',
		'icon-add-group': '&#xe901;',
		'icon-add-image': '&#xe902;',
		'icon-add-user': '&#xe903;',
		'icon-add': '&#xe904;',
		'icon-alert': '&#xe905;',
		'icon-arrow-down': '&#xe906;',
		'icon-arrow-left': '&#xe907;',
		'icon-arrow-right': '&#xe908;',
		'icon-arrow-up': '&#xe909;',
		'icon-audio': '&#xe90a;',
		'icon-book': '&#xe90b;',
		'icon-calendar': '&#xe90c;',
		'icon-campus': '&#xe90d;',
		'icon-caret-down': '&#xe90e;',
		'icon-caret-left': '&#xe90f;',
		'icon-caret-right': '&#xe910;',
		'icon-caret-up': '&#xe911;',
		'icon-check': '&#xe912;',
		'icon-chevron-down': '&#xe913;',
		'icon-chevron-left': '&#xe914;',
		'icon-chevron-right': '&#xe915;',
		'icon-chevron-up': '&#xe916;',
		'icon-clock': '&#xe917;',
		'icon-close': '&#xe918;',
		'icon-code': '&#xe919;',
		'icon-dots': '&#xe91a;',
		'icon-download': '&#xe91b;',
		'icon-edit': '&#xe91c;',
		'icon-envelope': '&#xe91d;',
		'icon-expand': '&#xe91e;',
		'icon-facebook': '&#xe91f;',
		'icon-file': '&#xe920;',
		'icon-filter': '&#xe921;',
		'icon-flickr': '&#xe922;',
		'icon-folder': '&#xe923;',
		'icon-group': '&#xe924;',
		'icon-image': '&#xe925;',
		'icon-info': '&#xe926;',
		'icon-instagram': '&#xe927;',
		'icon-less': '&#xe928;',
		'icon-linkedin': '&#xe929;',
		'icon-lock': '&#xe92a;',
		'icon-menu': '&#xe92b;',
		'icon-miulpgc': '&#xe92c;',
		'icon-more': '&#xe92d;',
		'icon-phone': '&#xe92e;',
		'icon-place': '&#xe92f;',
		'icon-play': '&#xe930;',
		'icon-power': '&#xe931;',
		'icon-remove': '&#xe932;',
		'icon-search': '&#xe933;',
		'icon-sort': '&#xe934;',
		'icon-ulpgc': '&#xe935;',
		'icon-twitter': '&#xe936;',
		'icon-upload': '&#xe937;',
		'icon-user': '&#xe938;',
		'icon-whatsapp': '&#xe939;',
		'icon-youtube': '&#xe93a;',
		'0': 0
		},
		els = document.getElementsByTagName('*'),
		i, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		c = el.className;
		c = c.match(/icon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
}());
